Download OpenAPI specification:Download
REST API for managing keys in the platform
If the request body provided, only those key items will be updated. If the request body is not provided or given empty, then the entire key will be updated
| tokenInstanceUuid required | string Token Instance UUID |
| uuid required | string Key UUID |
| usage required | Array of strings (KeyUsage) Items Enum: "sign" "verify" "encrypt" "decrypt" "wrap" "unwrap" Usages for the Key |
| uuids | Array of strings <uuid> [ items <uuid > ] List of UUIDs of the key Items. If not provided, the usage will be updated to all the itemsin the key |
{- "usage": [
- "sign"
], - "uuids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}{- "message": "Error message"
}| uuid required | string UUID of the Key |
{- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "items": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "keyData": "string",
- "length": 0,
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name"
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}
], - "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "reason": "disclosure",
- "complianceStatus": "not_checked"
}
], - "associations": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "resource": "NONE"
}
], - "complianceStatus": "not_checked"
}| uuid required | string Key UUID |
| tokenProfileUuid | string UUID of the token profile |
| name required | string Name of the Cryptographic Key |
| description required | string Description of the Cryptographic Key |
| ownerUuid | string Key Owner UUID |
| groupUuids | Array of strings UUIDs of the groups to associate with key |
Array of objects (RequestAttribute) List of Custom Attributes |
{- "tokenProfileUuid": "string",
- "name": "string",
- "description": "string",
- "ownerUuid": "string",
- "groupUuids": [
- "string"
], - "customAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}{- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "items": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "keyData": "string",
- "length": 0,
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name"
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}
], - "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "reason": "disclosure",
- "complianceStatus": "not_checked"
}
], - "associations": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "resource": "NONE"
}
], - "complianceStatus": "not_checked"
}If the request body provided, only those key items will be deleted. If the request body is not provided or given empty, then the entire key will be destroyed
| uuid required | string Key UUID |
Key Item UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}If the request body provided, only those key items will be updated. If the request body is not provided or given empty, then the entire key will be updated
| uuid required | string Key UUID |
| usage required | Array of strings (KeyUsage) Items Enum: "sign" "verify" "encrypt" "decrypt" "wrap" "unwrap" Usages for the Key |
| uuids | Array of strings <uuid> [ items <uuid > ] List of UUIDs of the key Items. If not provided, the usage will be updated to all the itemsin the key |
{- "usage": [
- "sign"
], - "uuids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}{- "message": "Error message"
}Update the key usages for multiple keys and all the items inside it
| usage required | Array of strings (KeyUsage) Items Enum: "sign" "verify" "encrypt" "decrypt" "wrap" "unwrap" Usages for the Key |
| uuids required | Array of strings <uuid> [ items <uuid > ] Key UUIDs |
{- "usage": [
- "sign"
], - "uuids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}{- "message": "Error message"
}Update the key usages for multiple keys Items
| usage required | Array of strings (KeyUsage) Items Enum: "sign" "verify" "encrypt" "decrypt" "wrap" "unwrap" Usages for the Key |
| uuids required | Array of strings <uuid> [ items <uuid > ] Key Item UUIDs |
{- "usage": [
- "sign"
], - "uuids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}{- "message": "Error message"
}| tokenInstanceUuid required | string UUID of the Token Instance |
| tokenProfileUuid required | string UUID of the Token Profile |
| type required | string (KeyRequestType) Enum: "secret" "keyPair" Type of the key to be created |
| name required | string Name of the Cryptographic Key |
| description required | string Description of the Cryptographic Key |
| groupUuids | Array of strings UUIDs of the groups to associate with key |
required | Array of objects (RequestAttribute) List of Attributes to create a Key |
Array of objects (RequestAttribute) Custom Attributes for the key | |
| enabled | boolean Default: false Enabled status of created key. True = Enabled, False = Disabled |
{- "name": "string",
- "description": "string",
- "groupUuids": [
- "string"
], - "attributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "customAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "enabled": false
}{- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "items": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "keyData": "string",
- "length": 0,
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name"
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}
], - "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "reason": "disclosure",
- "complianceStatus": "not_checked"
}
], - "associations": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "resource": "NONE"
}
], - "complianceStatus": "not_checked"
}Array of objects (SearchFilterRequestDto) Certificate filter input | |
| itemsPerPage | integer <int32> <= 1000 Default: 10 Number of entries per page |
| pageNumber | integer <int32> Default: 1 Page number for the request |
{- "filters": [
- {
- "fieldSource": "meta",
- "fieldIdentifier": "string",
- "condition": "EQUALS",
- "value": null
}
], - "itemsPerPage": 10,
- "pageNumber": 1
}{- "cryptographicKeys": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "keyWrapperUuid": "string",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "associations": 0,
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "length": 0,
- "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "complianceStatus": "not_checked"
}
], - "itemsPerPage": 0,
- "pageNumber": 0,
- "totalPages": 0,
- "totalItems": 0
}Key UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}If the request body provided, only those key items will be enabled. If the request body is not provided or given empty, then the entire key will be enabled
| tokenInstanceUuid required | string Token Instance UUID |
| uuid required | string Key UUID |
Key Item UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}If the request body provided, only those key items will be disabled. If the request body is not provided or given empty, then the entire key will be disabled
| tokenInstanceUuid required | string Token Instance UUID |
| uuid required | string Key UUID |
Key Item UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}If the request body provided, only those key items will be destroyed. If the request body is not provided or given empty, then the entire key will be destroyed
| tokenInstanceUuid required | string Token Instance UUID |
| uuid required | string Key UUID |
Key UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}If the request body is provided with the UUID of the items of Key, then only those itemswill be compromised. Else all the sub items of the key will be compromised
| tokenInstanceUuid required | string Token Instance UUID |
| uuid required | string Key UUID |
| reason required | string (KeyCompromiseReason) Enum: "disclosure" "modification" "substitution" "use_of_sensitive_data" Usages for the Key |
| uuids | Array of strings <uuid> [ items <uuid > ] List of UUIDs of the key Items. If not provided, the usage will be updated to all the itemsin the key |
{- "reason": "disclosure",
- "uuids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}{- "message": "Error message"
}| uuid required | string UUID of the Key |
| keyItemUuid required | string UUID of the Key Item |
{- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "keyData": "string",
- "length": 0,
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name"
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}
], - "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "reason": "disclosure",
- "complianceStatus": "not_checked"
}| uuid required | string Key UUID |
| keyItemUuid required | string Key Item UUID |
| name required | string Name of the key item |
{- "name": "string"
}[ "Error Message 1", "Error Message 2" ]
If the request body provided, only those key items will be enabled. If the request body is not provided or given empty, then the entire key will be enabled
| uuid required | string Key UUID |
Key Item UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}If the request body provided, only those key items will be disabled. If the request body is not provided or given empty, then the entire key will be disabled
| uuid required | string Key UUID |
Key Item UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}If the request body provided, only those key items will be destroyed. If the request body is not provided or given empty, then the entire key will be destroyed
| uuid required | string Key UUID |
Key UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}If the request body is provided with the UUID of the items of Key, then only those itemswill be compromised. Else all the sub items of the key will be compromised
| uuid required | string Key UUID |
| reason required | string (KeyCompromiseReason) Enum: "disclosure" "modification" "substitution" "use_of_sensitive_data" Usages for the Key |
| uuids | Array of strings <uuid> [ items <uuid > ] List of UUIDs of the key Items. If not provided, the usage will be updated to all the itemsin the key |
{- "reason": "disclosure",
- "uuids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}{- "message": "Error message"
}Key Item UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}Key Item UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}Key Item UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}This API can be used to mark multiple keys items to be marked as compromised.
| reason required | string (KeyCompromiseReason) Enum: "disclosure" "modification" "substitution" "use_of_sensitive_data" Usages for the Key |
| uuids | Array of strings <uuid> [ items <uuid > ] List of Key Item UUID |
{- "reason": "disclosure",
- "uuids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}{- "message": "Error message"
}Key UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}Key UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}Key UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}This API can be used to mark multiple keys and its sub items to be marked as compromised.Specific part of the key cannot be mentioned in this API
| reason required | string (KeyCompromiseReason) Enum: "disclosure" "modification" "substitution" "use_of_sensitive_data" Usages for the Key |
| uuids | Array of strings <uuid> [ items <uuid > ] List of UUIDs of the keys. This will mark all the items inside the selected key as compromised |
{- "reason": "disclosure",
- "uuids": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}{- "message": "Error message"
}| tokenInstanceUuid required | string Token Instance UUID |
| tokenProfileUuid required | string Token Profile UUID |
| type required | string (KeyRequestType) Enum: "secret" "keyPair" Type of the key to be created |
[- {
- "name": "Attribute",
- "type": "data",
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "description": "string",
- "version": 0,
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "required": false,
- "readOnly": false,
- "list": false,
- "multiSelect": false,
- "protectionLevel": "none",
- "resource": "certificates",
- "extensibleList": false
}, - "constraints": [
- {
- "type": "regExp",
- "errorMessage": "string",
- "description": "string",
- "data": "string"
}
], - "attributeCallback": {
- "callbackContext": "string",
- "callbackMethod": "string",
- "mappings": [
- {
- "from": "string",
- "attributeType": "data",
- "attributeContentType": "string",
- "to": "string",
- "targets": [
- "pathVariable"
], - "value": null
}
]
}
}
]| tokenInstanceUuid required | string UUID of the Token Instance |
| uuid required | string UUID of the Key |
{- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "items": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "keyData": "string",
- "length": 0,
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name"
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}
], - "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "reason": "disclosure",
- "complianceStatus": "not_checked"
}
], - "associations": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "resource": "NONE"
}
], - "complianceStatus": "not_checked"
}If the request body provided, only those key items will be deleted. If the request body is not provided or given empty, then the entire key will be destroyed
| tokenInstanceUuid required | string Token Instance UUID |
| uuid required | string Key UUID |
Key Item UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}| tokenInstanceUuid required | string UUID of the Token Instance |
| uuid required | string UUID of the Key |
| keyItemUuid required | string UUID of the Key Item |
{- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "keyData": "string",
- "length": 0,
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name"
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}
], - "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "reason": "disclosure",
- "complianceStatus": "not_checked"
}| tokenInstanceUuid required | string Token Instance UUID |
| uuid required | string Key UUID |
| keyItemUuid required | string Key Item UUID |
[- {
- "uuid": "string",
- "keyUuid": "string",
- "created": "2019-08-24T14:15:22Z",
- "createdBy": "string",
- "event": "Create Key",
- "status": "SUCCESS",
- "message": "string",
- "additionalInformation": {
- "property1": null,
- "property2": null
}
}
]| uuid required | string Key UUID |
| keyItemUuid required | string Key Item UUID |
[- {
- "uuid": "string",
- "keyUuid": "string",
- "created": "2019-08-24T14:15:22Z",
- "createdBy": "string",
- "event": "Create Key",
- "status": "SUCCESS",
- "message": "string",
- "additionalInformation": {
- "property1": null,
- "property2": null
}
}
][- {
- "filterFieldSource": "meta",
- "searchFieldData": [
- {
- "fieldIdentifier": "string",
- "fieldLabel": "string",
- "type": "string",
- "conditions": [
- "EQUALS"
], - "platformEnum": "Resource",
- "attributeContentType": "string",
- "value": null,
- "multiValue": true
}
]
}
]This API contains the logic to get the keys that contains the full key pair (private and public Key)
| tokenProfileUuid | string |
[- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "items": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "keyWrapperUuid": "string",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": null,
- "data": null
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "associations": 0,
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "length": 0,
- "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "complianceStatus": "not_checked"
}
], - "associations": 0,
- "complianceStatus": "not_checked"
}
]Key Items UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
]{- "message": "Error message"
}